com.holonplatform.vaadin.flow.components.builders

## Interface TextInputConfigurator<C extends TextInputConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    HasAutocapitalizeConfigurator<C>, HasAutocompleteConfigurator<C>, HasAutocorrectConfigurator<C>, HasEnabledConfigurator<C>, HasValueChangeModeConfigurator<C>, InputNotifierConfigurator<C>, KeyNotifierConfigurator<C>
  All Known Subinterfaces:
    PasswordInputBuilder, PasswordInputConfigurator<C>, StringAreaInputBuilder, StringAreaInputConfigurator<C>, StringInputBuilder, StringInputConfigurator<C>, ValidatablePasswordInputBuilder, ValidatableStringAreaInputBuilder, ValidatableStringInputBuilder

      public interface TextInputConfigurator<C extends TextInputConfigurator<C>>
      extends HasEnabledConfigurator<C>, HasAutocompleteConfigurator<C>, HasAutocapitalizeConfigurator<C>, HasAutocorrectConfigurator<C>, InputNotifierConfigurator<C>, KeyNotifierConfigurator<C>, HasValueChangeModeConfigurator<C>

  Configurator for text type `Input` components.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default C` | `autoselect()` Automatically select the input value when the input component gains focus.
    `C` | `autoselect(boolean autoselect)` Set whether to automatically select the input value when the input component gains focus.
    `C` | `blankValuesAsNull(boolean blankValuesAsNull)` Enable or disable treating blank String values (with 0 length or whitespaces only Strings) as `null` values.
    `C` | `clearButtonVisible(boolean clearButtonVisible)` Set whether to show a clear button which can be used to clear the input value.
    `C` | `emptyValuesAsNull(boolean emptyValuesAsNull)` Enable or disable treating empty String values as `null` values.
    `C` | `maxLength(int maxLength)` Set the maximum number of characters (in Unicode code points) that the user can enter.
    `C` | `minLength(int minLength)` Set the minimum number of characters (in Unicode code points) that the user can enter.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocompleteConfigurator

      `autocomplete`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocapitalizeConfigurator

      `autocapitalize`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocorrectConfigurator

      `autocorrect`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputNotifierConfigurator

      `withInputListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.KeyNotifierConfigurator

      `withKeyDownListener, withKeyDownListener, withKeyPressListener, withKeyPressListener, withKeyUpListener, withKeyUpListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasValueChangeModeConfigurator

      `valueChangeMode`

- - ### Method Detail

    - #### maxLength

          C maxLength(int maxLength)

      Set the maximum number of characters (in Unicode code points) that the user can enter.
      Parameters:
        `maxLength` - the maximum length
      Returns:
        this

    - #### minLength

          C minLength(int minLength)

      Set the minimum number of characters (in Unicode code points) that the user can enter.
      Parameters:
        `minLength` - the minimum length
      Returns:
        this

    - #### emptyValuesAsNull

          C emptyValuesAsNull(boolean emptyValuesAsNull)

      Enable or disable treating empty String values as `null` values.

      By default this behaviour is enabled.

      Parameters:
        `emptyValuesAsNull` - True to treat empty String values as `null` values
      Returns:
        this

    - #### blankValuesAsNull

          C blankValuesAsNull(boolean blankValuesAsNull)

      Enable or disable treating blank String values (with 0 length or whitespaces only Strings) as `null` values.

      By default this behaviour is disabled.

      Parameters:
        `blankValuesAsNull` - True to treat blank String values (with 0 length or whitespaces only Strings) as `null` values
      Returns:
        this

    - #### autoselect

          C autoselect(boolean autoselect)

      Set whether to automatically select the input value when the input component gains focus.
      Parameters:
        `autoselect` - `true` to automatically select the input value when the input component gains focus, `false` otherwise
      Returns:
        this
      Since:
        5.2.3

    - #### autoselect

          default C autoselect()

      Automatically select the input value when the input component gains focus.
      Returns:
        this
      Since:
        5.2.3

    - #### clearButtonVisible

          C clearButtonVisible(boolean clearButtonVisible)

      Set whether to show a clear button which can be used to clear the input value.
      Parameters:
        `clearButtonVisible` - `true` to show the clear button, `false` to hide it
      Returns:
        this
      Since:
        5.2.3

Copyright © 2019 The Holon Platform. All rights reserved.